package eu.mhsl.minenet.minigames.command.privileged;

import eu.mhsl.minenet.minigames.message.Icon;
import eu.mhsl.minenet.minigames.message.type.ActionBarMessage;
import eu.mhsl.minenet.minigames.message.type.ChatMessage;
import eu.mhsl.minenet.minigames.message.type.TitleMessage;
import net.minestom.server.command.builder.Command;

public class DebugCommand extends Command {
    public DebugCommand() {
        super("debug");

        setCondition((sender, commandString) -> sender.hasPermission("admin"));

        setDefaultExecutor((sender, args) -> {
            new ChatMessage(Icon.CHAT).appendTranslated("sample").send(sender);
            new ActionBarMessage().appendTranslated("sample").send(sender);
            new TitleMessage().subtitle(subtitleMessage -> subtitleMessage.appendTranslated("sample")).appendTranslated("sample").send(sender);
        });

    }
}
